# Function UseOptionsMethod

- UseOptionsMethod(
  method: ProviderToken<Method<ControlOptions, any>>,
  config?: UseMethodConfig<any, any, any, any>,
  ): (target: any, propertyKey: string) => void

  #### Parameters

  - method: ProviderToken<Method<ControlOptions, any>>
  - `Optional` config: UseMethodConfig<any, any, any, any>

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/form-system/src/lib/mixins/extract-options-method.mixin.ts:16